Product comparison · 2 ip phones

Yealink SIP-T54S IP phone Black 16 lines LCD vs Yealink T48S Skype for Business Edition

Add a product
  • 36specifications compared
  • 7differ
  • 29identical
  • 56known for one product only

Key differences

The Yealink T48S Skype for Business Edition has 33 mm more width than the Yealink SIP-T54S IP phone Black 16 lines LCD (266 mm vs 233 mm). The Yealink T48S Skype for Business Edition has 7.2 mm more depth than the Yealink SIP-T54S IP phone Black 16 lines LCD (226 mm vs 218.8 mm). The Yealink T48S Skype for Business Edition has 12.4 mm more height than the Yealink SIP-T54S IP phone Black 16 lines LCD (185 mm vs 172.6 mm). Only the Yealink SIP-T54S IP phone Black 16 lines LCD has Bluetooth. Display diagonal: 10.9 cm (4.3") on the Yealink SIP-T54S IP phone Black 16 lines LCD, 17.8 cm (7") on the Yealink T48S Skype for Business Edition.

  • Display diagonal
    • SIP-T54S IP phone Black 16 lines LCD:10.9 cm (4.3")
    • T48S Skype for Business Edition:17.8 cm (7")
  • Display resolution
    • SIP-T54S IP phone Black 16 lines LCD:480 x 272 pixels
    • T48S Skype for Business Edition:800 x 480 pixels
  • Bluetooth
    • SIP-T54S IP phone Black 16 lines LCD:Yes
    • T48S Skype for Business Edition:No
  • Width
    • SIP-T54S IP phone Black 16 lines LCD:233 mm
    • T48S Skype for Business Edition:266 mm
  • Depth
    • SIP-T54S IP phone Black 16 lines LCD:218.8 mm
    • T48S Skype for Business Edition:226 mm
  • Height
    • SIP-T54S IP phone Black 16 lines LCD:172.6 mm
    • T48S Skype for Business Edition:185 mm

Side by side

Differences highlightedShow differences only (on)
Comparison of SIP-T54S, T48S Skype for Business Edition
92 specifications
Designidentical
Device lockKnown for oneUnknown — not stated by the sourceYes
Performanceidentical
Dual-Tone Multi-Frequency (DTMF) modesKnown for oneUnknown — not stated by the sourceIn-band, Out-of band, SIP info
Compatible productsKnown for oneUnknown — not stated by the sourceSkype for Business
Operating system installedKnown for oneLinuxUnknown — not stated by the source
Phone featuresidentical
Common area phone (CAP)Known for oneUnknown — not stated by the sourceYes
Hot deskingKnown for oneUnknown — not stated by the sourceYes
Call historyKnown for oneUnknown — not stated by the sourceYes
Call parkKnown for oneUnknown — not stated by the sourceYes
Call pick upKnown for oneUnknown — not stated by the sourceYes
Caller IDKnown for oneUnknown — not stated by the sourceYes
Do not disturb functionKnown for oneUnknown — not stated by the sourceYes
Emergency callKnown for oneUnknown — not stated by the sourceYes
Full duplexKnown for oneUnknown — not stated by the sourceYes
IntercomKnown for oneUnknown — not stated by the sourceYes
Message-waiting indicator (MWI)Known for oneUnknown — not stated by the sourceYes
Lines quantityKnown for one16 linesUnknown — not stated by the source
Anonymous callKnown for oneYesUnknown — not stated by the source
Anonymous call rejectionKnown for oneYesUnknown — not stated by the source
Call returnKnown for oneYesUnknown — not stated by the source
Conference callKnown for oneYesUnknown — not stated by the source
Number of VoIP accountsKnown for one16Unknown — not stated by the source
Phonebook capacityKnown for one1000 entriesUnknown — not stated by the source
Short Message Service (SMS)Known for oneYesUnknown — not stated by the source
Speed diallingKnown for oneYesUnknown — not stated by the source
Display2 differ
Display diagonalDiffers10.9 cm (4.3")17.8 cm (7")
Display resolutionDiffers480 x 272 pixels800 x 480 pixels
TouchscreenKnown for oneUnknown — not stated by the sourceYes
Touchscreen typeKnown for oneUnknown — not stated by the sourceCapacitive
Graphical user interface (GUI) languageKnown for oneUnknown — not stated by the sourceMulti
DisplayKnown for oneLCDUnknown — not stated by the source
Audio1 differ
Automatic gain controlKnown for oneUnknown — not stated by the sourceYes
Packet loss concealment (PLC)Known for oneUnknown — not stated by the sourceYes
Voice codecsDiffersG.722, G.723, G.723.1, G.726, G.729B, OPUS, iLBCAGC, AJB, CNG, G.711alaw, G.711ulaw, G.722, G.723.1, G.726, G.729A, G.729B, PLC, Silk, VAD, iLBC
Network1 differ
Wi-FiKnown for oneUnknown — not stated by the sourceNo
BluetoothDiffersYesNo
DHCP clientKnown for oneUnknown — not stated by the sourceYes
Networking standardsKnown for oneUnknown — not stated by the sourceIEEE 802.1Q, IEEE 802.1p, IEEE 802.1x, IEEE 802.3af
Quality of Service (QoS) supportKnown for oneUnknown — not stated by the sourceYes
Security algorithmsKnown for oneUnknown — not stated by the sourceHTTPS, MD5, SRTP, TLS
Supported network protocolsKnown for oneUnknown — not stated by the sourceSIP v1 (RFC2543), v2 (RFC3261), LLDP-MED VLAN, IPv4/IPv6, UDP/TCP/DNS-SRV (RFC 3263)
Bluetooth versionKnown for one2.1+EDRUnknown — not stated by the source
Ports & interfacesidentical
DC-in jackKnown for oneUnknown — not stated by the sourceYes
Certificatesidentical
SkypeKnown for oneUnknown — not stated by the sourceYes
Poweridentical
AC adapter output voltageKnown for oneUnknown — not stated by the source5 V
AC adapter output currentKnown for oneUnknown — not stated by the source2 A
Power consumption (typical)Known for oneUnknown — not stated by the source4.9 W
Power consumption (Power over Ethernet (PoE))Known for oneUnknown — not stated by the source7.5 W
Operational conditionsidentical
Storage temperature (T-T)Known for oneUnknown — not stated by the source-10 - 50 °C
Operating temperature (T-T)Known for one-10 - 40 °CUnknown — not stated by the source
Weight & dimensions3 differ
WidthDiffers233 mm266 mm
DepthDiffers218.8 mm226 mm
HeightDiffers172.6 mm185 mm
Package widthKnown for oneUnknown — not stated by the source263 mm
Package depthKnown for oneUnknown — not stated by the source324 mm
Package heightKnown for oneUnknown — not stated by the source128 mm
Packaging contentidentical
HandsetKnown for oneUnknown — not stated by the sourceYes
Stand includedKnown for oneUnknown — not stated by the sourceYes
Logistics dataidentical
Master (outer) case gross weightKnown for oneUnknown — not stated by the source9 kg
Master (outer) case heightKnown for oneUnknown — not stated by the source338 mm
Master (outer) case lengthKnown for oneUnknown — not stated by the source338 mm
Master (outer) case net weightKnown for oneUnknown — not stated by the source8.2 kg
Master (outer) case widthKnown for oneUnknown — not stated by the source660 mm
Products per master (outer) caseKnown for oneUnknown — not stated by the source5 pc(s)

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More ip phone comparisons

All ip phone comparisons